> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Deletes a webhook permanently.

`Unary` · [`Webhooks`](/docs/api-reference/generated/webhook/overview)

Deletes a webhook permanently.

Use this method to:

* Remove unused webhooks
* Clean up webhook configurations

### Examples

* Delete webhook:

  Permanently removes a webhook.

  ```yaml theme={null}
  webhookId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WebhookService/DeleteWebhook
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.WebhookService/DeleteWebhook" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "webhookId": "<webhook-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.webhook_pb2 as webhook_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = webhook_pb2.DeleteWebhookRequest(
      webhook_id="<webhook-id>",
  )
  response = ona.services.webhook.delete_webhook(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { DeleteWebhookRequestSchema } from "@gitpod/sdk/gitpod/v1/webhook_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(DeleteWebhookRequestSchema, {
      webhookId: "<webhook-id>",
    });
    const response = await ona.services.webhook.deleteWebhook(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.DeleteWebhookRequest{
  		WebhookId: "<webhook-id>",
  	})
  	response, err := ona.Services.Webhook.DeleteWebhook(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "webhookId": "<webhook-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.DeleteWebhookRequest`

DeleteWebhookRequest deletes a webhook permanently.

| Field       | Type   | Required | Description                      |
| ----------- | ------ | -------- | -------------------------------- |
| `webhookId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.DeleteWebhookResponse`

| Field                 | Type            | Required | Description                                                                                                    |
| --------------------- | --------------- | -------- | -------------------------------------------------------------------------------------------------------------- |
| `affectedWorkflowIds` | array of string | No       | IDs of workflows that had their triggers converted to manual type because they referenced the deleted webhook. |
